/**
 * Created by janis dähne.
 */
import * as genericLayer from './genericLayer'
import {LanguageFromBackend} from "../types/language";
import {TestTypeFullBase} from "../types/testTypes";

const callingName = 'testTypes'
const controllerPrefix = 'testtypes'


/**
 * gets the time from the server
 */
export function getTestTypes(): Promise<ReadonlyArray<TestTypeFullBase>> {
  return genericLayer.get<ReadonlyArray<TestTypeFullBase>>(callingName,
    `${controllerPrefix}`)
}