/**
 * Created by janis dähne.
 */
import {SyntheticEvent} from "react";


/**
 * an event handler for input field that selects all text when the input gets focused
 * @param {React.SyntheticEvent<HTMLInputElement>} e
 */
export function selectAllTextEventHandler(e: SyntheticEvent<HTMLInputElement>): void {
  e.currentTarget.select()
}