/**
 * Created by janis dähne.
 */


/**
 * not displayed by many browser duo skimming, ...
 * @type {string}
 */
const leaveQuestion = 'close?'

function windowExitHandlerFunction(e: BeforeUnloadEvent): string {
  (e || window.event).returnValue = leaveQuestion;
  return leaveQuestion;
}

/**
 * this will only work if the we changed something! e.g. assign variables?
 * e.g. open browser and go to http://localhost:8080/#/editor/exercises/edit/25
 * and close the browser will close without asking
 *
 * http://localhost:8080/#/editor/exercises/edit/25 --> save & closing will ask
 *
 */
export function addCloseWindowEvent(): void {
  window.addEventListener("beforeunload", windowExitHandlerFunction);
}

export function clearCloseWindowEvent(): void {
  window.removeEventListener("beforeunload", windowExitHandlerFunction);
}