/**
 * Created by janis dähne.
 */
import {
  ActionType, ResetAction,
  SET_releaseCodeAction
} from "../../../../reducers/allAccessibleExercises/openExercisesSite/enterReleaseCodeDialog/enterReleaseCodeDialogReducer";
import {ACCESS_exerciseWithCodeAction} from "../../../../reducers/allAccessibleExercises/openExercisesSite/enterReleaseCodeDialog/accessExercisWithCode";
import {delay} from "../../../../../../debug";
import {accessExerciseWithReleaseCode} from "../../../../../communicationLayer/exerciseReleasesLayer";

export function setReleaseCode(releaseCode: string): SET_releaseCodeAction {
  return {
    type: ActionType.SET_releaseCode,
    releaseCode
  }
}

export function accessExerciseWithCodeAsync(releaseCode: string): ACCESS_exerciseWithCodeAction {
  return {
    type: ActionType.ACCESS_exerciseWithCode,
    payload: delay(accessExerciseWithReleaseCode(releaseCode, false))
  }
}


export function resetEnterReleaseCodeDialog(): ResetAction {
  return {
    type: ActionType.RESET
  }
}