/**
 * Created by janis dähne.
 */
import {ActionType} from "../../reducers/settingsSite/settingsSiteActionTypes";
import {
  RESET_userSettingsAction, SET_langIdAction,
  SET_themeAction
} from "../../reducers/settingsSite/userSettingsCopyReducer";


export function setLangId(langId: number): SET_langIdAction {
  return {
    type: ActionType.SET_langId,
    langId
  }
}

export function setTheme(themeKey: string): SET_themeAction {
  return {
    type: ActionType.SET_theme,
    theme: themeKey
  }
}

export function resetUserSettings(): RESET_userSettingsAction {
  return {
    type: ActionType.RESET_userSettings
  }
}