/**
 * Created by janis dähne.
 */
import {Action} from "redux";

export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  GET_openExercisePreviews = 'openExercisesReducer_GET_list',
  GET_openExercisePreviews_PENDING = 'openExercisesReducer_GET_list_PENDING',
  GET_openExercisePreviews_FULFILLED = 'openExercisesReducer_GET_list_FULFILLED',
  GET_openExercisePreviews_REJECTED = 'openExercisesReducer_GET_list_REJECTED',

  SET_openExercises = 'openExercisesReducer_SET_openExercises',
  SET_isEnterReleaseCodeDialogDisplayed = 'openExercisesReducer_SET_isEnterReleaseCodeDialogDisplayed',

  SET_viewState = 'openExercisesReducer_SET_viewState',
  SET_sortByKey = 'openExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'openExercisesReducer_SET_isTagsFilterDisplayed',


  RESET = 'openExercisesReducer_RESET',
}

