/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  SET_groupExercises = 'groupExercisesReducer_SET_groupExercises',

  GET_groupExercises = 'groupExercisesReducer_GET_list',
  GET_groupExercises_PENDING = 'groupExercisesReducer_GET_list_PENDING',
  GET_groupExercises_FULFILLED = 'groupExercisesReducer_GET_list_FULFILLED',
  GET_groupExercises_REJECTED = 'groupExercisesReducer_GET_list_REJECTED',

  DELETE_groupExercise = 'groupExercisesReducer_DELETE_groupExercise',
  DELETE_groupExercise_PENDING = 'groupExercisesReducer_DELETE_groupExercise_PENDING',
  DELETE_groupExercise_FULFILLED = 'groupExercisesReducer_DELETE_groupExercise_FULFILLED',
  DELETE_groupExercise_REJECTED = 'groupExercisesReducer_DELETE_groupExercise_REJECTED',
    
  SET_viewState = 'groupExercisesReducer_SET_viewState',

  SET_sortByKey = 'groupExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'groupExercisesReducer_SET_isTagsFilterDisplayed',

  RESET = 'groupExercisesReducer_RESET',
}

