/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {


  SET_manualAssessmentPoints = 'tutorViewSiteReducer_SET_manualAssessmentPoints',
  SET_manualAssessmentNote = 'tutorViewSiteReducer_SET_manualAssessmentNote',
  SET_feedbackForStudent = 'tutorViewSiteReducer_SET_feedbackForStudent',

  GET_singleAssessment = 'tutorViewSiteReducer_GET_singleAssessment',
  GET_singleAssessment_PENDING = 'tutorViewSiteReducer_GET_singleAssessment_PENDING',
  GET_singleAssessment_FULFILLED = 'tutorViewSiteReducer_GET_singleAssessment_FULFILLED',
  GET_singleAssessment_REJECTED = 'tutorViewSiteReducer_GET_singleAssessment_REJECTED',

  UPDATE_singleAssessment = 'tutorViewSiteReducer_UPDATE_singleAssessment',
  UPDATE_singleAssessment_PENDING = 'tutorViewSiteReducer_UPDATE_singleAssessment_PENDING',
  UPDATE_singleAssessment_FULFILLED = 'tutorViewSiteReducer_UPDATE_singleAssessment_FULFILLED',
  UPDATE_singleAssessment_REJECTED = 'tutorViewSiteReducer_UPDATE_singleAssessment_REJECTED',

  SET_normalTestsForTutor = 'tutorViewSiteReducer_SET_normalTestsForTutor',
  SET_submitTestsForTutor = 'tutorViewSiteReducer_SET_submitTestsForTutor',

  SET_userSolution_solutionFiles = 'tutorViewSiteReducer_SET_userSolution_solutionFiles',
  SET_userSolution_mainFileId = 'tutorViewSiteReducer_SET_userSolution_mainFileId',

  SET_tutorEditorSolution_solutionFiles = 'tutorViewSiteReducer_SET_tutorEditorSolution_solutionFiles',
  SET_tutorEditorSolution_mainFileId = 'tutorViewSiteReducer_SET_tutorEditorSolution_mainFileId',

  SET_isViewTestDialogDisplayed = 'tutorViewSiteReducer_SET_isViewTestDialogDisplayed',
  SET_isCodeEditorSettingsDialogDisplayed = 'tutorViewSiteReducer_SET_isCodeEditorSettingsDialogDisplayed',

  SET_selectedConsoleViewTest = 'tutorViewSiteReducer_SET_selectedConsoleViewTest',
  SET_useDiffIfOutputMismatched = 'tutorViewSiteReducer_SET_useDiffIfOutputMismatched',
  SET_useReplaceWhiteSpacesWithBullets = 'tutorViewSiteReducer_SET_useReplaceWhiteSpacesWithBullets',

  RUN_normalTestAsTutor = 'tutorViewSiteReducer_RUN_normalTestAsTutor',
  RUN_normalTestAsTutor_PENDING = 'tutorViewSiteReducer_RUN_normalTestAsTutor_PENDING',
  RUN_normalTestAsTutor_FULFILLED = 'tutorViewSiteReducer_RUN_normalTestAsTutor_FULFILLED',
  RUN_normalTestAsTutor_REJECTED = 'tutorViewSiteReducer_RUN_normalTestAsTutor_REJECTED',

  RUN_submitTestAsTutor = 'tutorViewSiteReducer_RUN_submitTestAsTutor',
  RUN_submitTestAsTutor_PENDING = 'tutorViewSiteReducer_RUN_submitTestAsTutor_PENDIN',
  RUN_submitTestAsTutor_FULFILLED = 'tutorViewSiteReducer_RUN_submitTestAsTutor_FULFILLED',
  RUN_submitTestAsTutor_REJECTED = 'tutorViewSiteReducer_RUN_submitTestAsTutor_REJECTED',

  GET_exercise = 'tutorViewSiteReducer_GET_exercise',
  GET_exercise_PENDING = 'tutorViewSiteReducer_GET_exercise_PENDING',
  GET_exercise_FULFILLED = 'tutorViewSiteReducer_GET_exercise_FULFILLED',
  GET_exercise_REJECTED = 'tutorViewSiteReducer_GET_exercise_REJECTED',

  GET_userSubmitTestResults = 'tutorViewSiteReducer_GET_userSubmitTestResults',
  GET_userSubmitTestResults_PENDING = 'tutorViewSiteReducer_GET_userSubmitTestResults_PENDING',
  GET_userSubmitTestResults_FULFILLED = 'tutorViewSiteReducer_GET_userSubmitTestResults_FULFILLED',
  GET_userSubmitTestResults_REJECTED = 'tutorViewSiteReducer_GET_userSubmitTestResults_REJECTED',

  GET_allUserTestResults = 'tutorViewSiteReducer_GET_allUserTestResults',
  GET_allUserTestResults_PENDING = 'tutorViewSiteReducer_GET_allUserTestResults_PENDING',
  GET_allUserTestResults_FULFILLED = 'tutorViewSiteReducer_GET_allUserTestResults_FULFILLED',
  GET_allUserTestResults_REJECTED = 'tutorViewSiteReducer_GET_allUserTestResults_REJECTED',


  GET_user_solutionVersion = 'tutorViewSiteReducer_GET_user_solutionVersion',
  GET_user_solutionVersion_PENDING = 'tutorViewSiteReducer_GET_user_solutionVersion_PENDING',
  GET_user_solutionVersion_FULFILLED = 'tutorViewSiteReducer_GET_user_solutionVersion_FULFILLED',
  GET_user_solutionVersion_REJECTED = 'tutorViewSiteReducer_GET_user_solutionVersion_REJECTED',

  SET_topRightSelectedTabIndex = 'tutorViewSiteReducer_SET_topRightSelectedTabIndex',
  SET_topLeftSelectedTabIndex = 'tutorViewSiteReducer_SET_topLeftSelectedTabIndex',
  SET_bottomRightSelectedTabIndex = 'tutorViewSiteReducer_SET_bottomRightSelectedTabIndex',
  SET_bottomLeftSelectedTabIndex = 'tutorViewSiteReducer_SET_bottomLeftSelectedTabIndex',

  SET_topRightPanelViewSize = 'tutorViewSiteReducer_SET_topRightPanelViewSize',
  SET_topLeftPanelViewSize = 'tutorViewSiteReducer_SET_topLeftPanelViewSize',
  SET_botRightPanelViewSize = 'tutorViewSiteReducer_SET_botRightPanelViewSize',
  SET_botLeftPanelViewSize = 'tutorViewSiteReducer_SET_botLeftPanelViewSize',

  SET_hDividerPosOffset = 'tutorViewSiteReducer_SET_hDividerPosOffset',
  SET_vDividerPosOffset = 'tutorViewSiteReducer_SET_vDividerPosOffset',


  SET_tutorEditor_hasFileChangedMap = 'tutorViewSiteReducer_SET_tutorEditor_hasFileChangedMap',
  SET_tutorEditor_hasUnsavedChanges = 'tutorViewSiteReducer_SET_tutorEditor_hasUnsavedChanges',
  SET_tutorEditor_selectedTabIdDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_selectedTabIdDoEditor',
  SET_tutorEditor_isFileExplorerDisplayedDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_isFileExplorerDisplayedDoEditor',
  SET_tutorEditor_newFileNameDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_newFileNameDoEditor',
  SET_tutorEditor_renamingFileIdDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_renamingFileIdDoEditor',
  SET_tutorEditor_isRenamingFileDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_isRenamingFileDoEditor',
  SET_tutorEditor_renamingFileNameDoEditor = 'tutorViewSiteReducer_SET_tutorEditor_renamingFileNameDoEditor',


  SET_userSolutionEditor_selectedTabIdDoEditor = 'tutorViewSiteReducer_SET_userSolutionEditor_selectedTabIdDoEditor',
  SET_userSolutionEditor_isFileExplorerDisplayedDoEditor = 'tutorViewSiteReducer_SET_userSolutionEditor_isFileExplorerDisplayedDoEditor',

  SET_dummy = 'tutorViewSiteReducer_SET_dummy',

  RESET = 'tutorViewSiteReducer_RESET',
}