/**
 * Created by janis dähne.
 */
import * as genericLayer from './genericLayer'
import {LanguageFromBackend} from "../types/language";

const callingName = 'languages'
const controllerPrefix = 'langs'


/**
 * gets the time from the server
 */
export function getLanguages(): Promise<ReadonlyArray<LanguageFromBackend>> {
  return genericLayer.get<ReadonlyArray<LanguageFromBackend>>(callingName,
    `${controllerPrefix}`)
}