/**
 * Created by janis dähne.
 */
import {PLangFullBase} from "../types/pLangs";
import * as genericLayer from './genericLayer'
import {Moment} from "moment";


const callingName = 'time'
const controllerPrefix = 'time'


/**
 * gets the time from the server
 */
export function getServerTime(): Promise<Moment> {
  return genericLayer.get<Moment>(callingName,
    `${controllerPrefix}`)
}
