
/**
 * Created by janis dähne.
 */


// noinspection TsLint
/**
 * the current (latest) frontend id
 *
 * this is needed because if we create entities that are not immediately sent to the server (e.g. exercise editor)
 * then we don't get a unique id from the backend...
 * for these entities we use negative ids (<0) so that we know if the entity is new (id < 0) or from backend (id > 0)
 *
 * @type {number}
 */
let currentFrontendId = -2

export function getNextFrontendId(): number {

  currentFrontendId--
  return currentFrontendId
}

export function getCurrentFrontendId(): number {
    return currentFrontendId
}