/**
 * Created by janis dähne.
 */
import createHashHistory from "history/createHashHistory";
import {Action, Location} from "history";

import {setLastKnownUrl} from './state/actions/browserHistoryActions'
import state from './state/state'
import Logger from './helpers/logger'
import {clearCloseWindowEvent} from "./helpers/eventsHelper";

const history = createHashHistory()

history.listen((location: Location, action: Action) => {
  state.dispatch(setLastKnownUrl(location.pathname.toString()))
  Logger.log(`navigating to ${location.pathname.toString()}`)
  //in case some comp missed to remove this events...
  clearCloseWindowEvent()
})

export default history
