/**
 * Created by janis dähne.
 */
import {
  SET_fontSizeAction, SET_highlightCurrentLineAction, SET_showInvisiblesAction, SET_showLineIndentionsAction,
  SET_showLineNumbersAction,
  SET_tabSizeAction,
  SET_themeAction, SET_useWrappingAction
} from "../../reducers/editorSettingsDialog/editorSettingsReducer";
import {ActionType} from "../../reducers/editorSettingsDialog/editorSettingsDialogActionTypes";


export function setTheme(theme: string): SET_themeAction {
  return {
    type: ActionType.SET_theme,
    theme
  }
}

export function setFontSize(fontSize: number): SET_fontSizeAction {
  return {
    type: ActionType.SET_fontSize,
    fontSize
  }
}

export function setHighlightCurrentLine(highlightCurrentLine: boolean): SET_highlightCurrentLineAction {
  return {
    type: ActionType.SET_highlightCurrentLine,
    highlightCurrentLine
  }
}

export function setShowInvisibles(showInvisibles: boolean): SET_showInvisiblesAction {
  return {
    type: ActionType.SET_showInvisibles,
    showInvisibles
  }
}

export function setShowLineNumbers(showLineNumbers: boolean): SET_showLineNumbersAction {
  return {
    type: ActionType.SET_showLineNumbers,
    showLineNumbers
  }
}

export function setTabSize(tabSize: number): SET_tabSizeAction {
  return {
    type: ActionType.SET_tabSize,
    tabSize
  }
}

export function setUseWrapping(useWrapping: boolean): SET_useWrappingAction {
  return {
    type: ActionType.SET_useWrapping,
    useWrapping
  }
}

export function setShowLineIndentions(showLineIndentions: boolean): SET_showLineIndentionsAction {
  return {
    type: ActionType.SET_showLineIndentions,
    showLineIndentions
  }
}






