/**
 * Created by janis dähne.
 */
import {
  ActionType, LoggerPanelActionReset,
  LoggerPanelActionSetIsOpen,
  LoggerPanelActionSetLogLevel,
} from "../reducers/loggerPanelReducer";
import {LogItem, SeverityLevel} from "../../helpers/logger";


export function setIsLoggerPanelOpen(isOpen: boolean): LoggerPanelActionSetIsOpen {
  return {
    type: ActionType.SET_IS_OPEN,
    isOpen
  }
}

// export function addLogItem(logItem: LogItem): LoggerPanelActionAddLogItem {
//   return {
//     type: ActionType.ADD_LOG_ITEM,
//     logItem
//   }
// }

export function setSelectedLogLevel(logLevel: SeverityLevel): LoggerPanelActionSetLogLevel {
  return {
    type: ActionType.SET_SELECTED_LOG_LEVEL,
    logLevel
  }
}


export function reset(): LoggerPanelActionReset {
  return {
    type: ActionType.RESET
  }
}