/**
 * Created by janis dähne.
 */
import {
  SET_manualAssessmentPointsAction, SET_manualAssessmentNoteAction,
  SET_feedbackForStudentAction
} from "../../../reducers/tutorViewSite/subSets/setAssessmentReducer";
import {ActionType} from "../../../reducers/tutorViewSite/tutorViewSiteActionTypes";



export function setManualAssessmentPoints(manualPoints: number | null): SET_manualAssessmentPointsAction {
  return {
    type: ActionType.SET_manualAssessmentPoints,
    manualPoints
  }
}
export function setManualAssessmentNote(note: string): SET_manualAssessmentNoteAction {
  return {
    type: ActionType.SET_manualAssessmentNote,
    note
  }
}
export function setFeedbackForStudent(feedbackForStudent: string): SET_feedbackForStudentAction {
  return {
    type: ActionType.SET_feedbackForStudent,
    feedbackForStudent
  }
}

