/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {

  GET_closedExercisePreviews = 'closedExercisesReducer_GET_list',
  GET_closedExercisePreviews_PENDING = 'closedExercisesReducer_GET_list_PENDING',
  GET_closedExercisePreviews_FULFILLED = 'closedExercisesReducer_GET_list_FULFILLED',
  GET_closedExercisePreviews_REJECTED = 'closedExercisesReducer_GET_list_REJECTED',

  SET_closedExercises = 'closedExercisesReducer_SET_closedExercises',

  SET_viewState = 'closedExercisesReducer_SET_viewState',
  SET_sortByKey = 'closedExercisesReducer_SET_sortByKey',

  SET_isTagsFilterDisplayed = 'closedExercisesReducer_SET_isTagsFilterDisplayed',

  RESET = 'closedExercisesReducer_RESET',
}

