/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}


export enum ActionType {


  SET_isCreating = 'groupRolesChangeDialogReducer_SET_isCreating',

  SET_id = 'groupRolesChangeDialogReducer_SET_id',
  SET_displayName = 'groupRolesChangeDialogReducer_SET_displayName',
  SET_canCreateExercises = 'groupRolesChangeDialogReducer_SET_canCreateExercises',
  SET_canChangeExercises = 'groupRolesChangeDialogReducer_SET_canChangeExercises',
  SET_canDeleteExercises = 'groupRolesChangeDialogReducer_SET_canDeleteExercises',
  SET_canReleaseExercises = 'groupRolesChangeDialogReducer_SET_canReleaseExercises',
  SET_canCopyExercises = 'groupRolesChangeDialogReducer_SET_canCopyExercises',
  SET_canAssessExercises = 'groupRolesChangeDialogReducer_SET_canAssessExercises',
  SET_canSeeExercisesFromOthersInGroup = 'groupRolesChangeDialogReducer_SET_canSeeExercisesFromOthersInGroup',
  SET_canAddUserToGroup = 'groupRolesChangeDialogReducer_SET_canAddUserToGroup',
  SET_canRemoveMemberFromGroup = 'groupRolesChangeDialogReducer_SET_canRemoveMemberFromGroup',
  SET_canChangeOtherMembersRole = 'groupRolesChangeDialogReducer_SET_canChangeOtherMembersRole',
  SET_canSeeOtherUsers = 'groupRolesChangeDialogReducer_SET_canSeeOtherUsers',



  CREATE_groupRole = 'groupRolesChangeDialogReducer_CREATE_groupRole',
  CREATE_groupRole_PENDING = 'groupRolesChangeDialogReducer_CREATE_groupRole_PENDING',
  CREATE_groupRole_FULFILLED = 'groupRolesChangeDialogReducer_CREATE_groupRole_FULFILLED',
  CREATE_groupRole_REJECTED = 'groupRolesChangeDialogReducer_CREATE_groupRole_REJECTED',

  UPDATE_groupRole = 'groupRolesChangeDialogReducer_UPDATE_groupRole',
  UPDATE_groupRole_PENDING = 'groupRolesChangeDialogReducer_UPDATE_groupRole_PENDING',
  UPDATE_groupRole_FULFILLED = 'groupRolesChangeDialogReducer_UPDATE_groupRole_FULFILLED',
  UPDATE_groupRole_REJECTED = 'groupRolesChangeDialogReducer_UPDATE_groupRole_REJECTED',


  RESET = 'groupRolesChangeDialogReducer_RESET',
}