/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {
  SET_id = 'changeGroupReducer_SET_id',
  SET_email = 'changeGroupReducer_SET_email',
  SET_displayName = 'changeGroupReducer_SET_displayName',


  CREATE_group = 'changeGroupReducer_CREATE_group',
  CREATE_group_PENDING = 'changeGroupReducer_CREATE_group_PENDING',
  CREATE_group_FULFILLED = 'changeGroupReducer_CREATE_group_FULFILLED',
  CREATE_group_REJECTED = 'changeGroupReducer_CREATE_group_REJECTED',

  UPDATE_group = 'changeGroupReducer_UPDATE_group',
  UPDATE_group_PENDING = 'changeGroupReducer_UPDATE_group_PENDING',
  UPDATE_group_FULFILLED = 'changeGroupReducer_UPDATE_group_FULFILLED',
  UPDATE_group_REJECTED = 'changeGroupReducer_UPDATE_group_REJECTED',


  DELETE_group = 'changeGroupReduce_DELETE_group',
  DELETE_group_PENDING = 'changeGroupReduce_DELETE_group_PENDING',
  DELETE_group_FULFILLED = 'changeGroupReduce_DELETE_group_FULFILLED',
  DELETE_group_REJECTED = 'changeGroupReduce_DELETE_group_REJECTED',
    
  SET_isCreating = 'changeGroupReducer_SET_isCreating',

  RESET = 'changeGroupReducer_RESET',
}
