/**
 * Created by janis dähne.
 */
import {Action} from "redux";


export interface ActionBase extends Action {
  readonly type: ActionType
}

export enum ActionType {

  SET_selectedGroupId = 'singleGroupReducer_SET_selectedGroupId',

  REMOVE_member = 'singleGroupReducer_REMOVE_member',
  REMOVE_member_PENDING = 'singleGroupReducer_REMOVE_member_PENDING',
  REMOVE_member_FULFILLED = 'singleGroupReducer_REMOVE_member_FULFILLED',
  REMOVE_member_REJECTED = 'singleGroupReducer_REMOVE_member_REJECTED',
    
  GET_groupRoles = 'singleGroupReducer_GET_groupRoles',
  GET_groupRoles_PENDING = 'singleGroupReducer_GET_groupRoles_PENDING',
  GET_groupRoles_FULFILLED = 'singleGroupReducer_GET_groupRoles_FULFILLED',
  GET_groupRoles_REJECTED = 'singleGroupReducer_GET_groupRoles_REJECTED',

  GET_members = 'singleGroupReducer_GET_members',
  GET_members_PENDING = 'singleGroupReducer_GET_members_PENDING',
  GET_members_FULFILLED = 'singleGroupReducer_GET_members_FULFILLED',
  GET_members_REJECTED = 'singleGroupReducer_GET_members_REJECTED',

  GET_groups = 'singleGroupReducer_GET_groups',
  GET_groups_PENDING = 'singleGroupReducer_GET_groups_PENDING',
  GET_groups_FULFILLED = 'singleGroupReducer_GET_groups_FULFILLED',
  GET_groups_REJECTED = 'singleGroupReducer_GET_groups_REJECTED',

  SET_memberGroupRole = 'singleGroupReducer_SET_memberGroupRole',
  SET_memberGroupRole_PENDING = 'singleGroupReducer_SET_memberGroupRole_PENDING',
  SET_memberGroupRole_FULFILLED = 'singleGroupReducer_SET_memberGroupRole_FULFILLED',
  SET_memberGroupRole_REJECTED = 'singleGroupReducer_SET_memberGroupRole_REJECTED',

  SET_isAddUsersDialogDisplayed = 'singleGroupReducer_SET_isAddUsersDialogDisplayed',

  SET_user_uiIsChangeGroupRolePopupDisplayed = 'singleGroupReducer_SET_user_uiIsChangeGroupRolePopupDisplayed',

  SET_member_uiIsSelected = 'singleGroupReducer_SET_member_uiIsSelected',

  SET_all_member_uiIsSelected = 'singleGroupReducer_SET_all_member_uiIsSelected',

  SET_viewState = 'singleGroupReducer_SET_viewState',

  SET_sortByKey = 'singleGroupReducer_SET_sortByKey',

  RESET = 'singleGroupReducer_RESET',
}